[Date Prev][Date Next] [Chronological] [Thread] [Top]

Re: linking to openldap

Howard Chu wrote:
Cameron Gregg wrote:


sorry to ask a question slightly offtopic, but here it goes.

I am trying to compile courier-imap with openldap support. I have setup all the environment variables correctly, but it seems my install of openldap doesn't have the functionality required to build in openldap support, so it doesn't.

The relevant output from the courier-imap configure is this:

checking ldap.h usability... yes
checking ldap.h presence... yes
checking for ldap.h... yes
checking lber.h usability... yes
checking lber.h presence... yes
checking for lber.h... yes
checking netinet/in.h usability... yes
checking netinet/in.h presence... yes
checking for netinet/in.h... yes
checking whether -lresolv is needed for res_query... yes
checking for ber_scanf in -llber... yes
checking for ldap_open in -lldap... no
checking for ldap_search_st... no
checking for ldap_start_tls_s... no
checking for ldap_result2error... no

The last 4 lines are the killers.

I configured openldap with the following:

./configure --prefix=/usr/local/openldap --with-tls --with-cyrus-sasl --enable-crypt --enable-bdb

It built and installed fine.

So, my question, how do I build openldap to support:



Can anyone help out?


Those functions are indeed part of libldap. Most likely your libldap libraries have additional library dependencies
that aren't being pulled in by the configure script tests, and so those tests fail due to some other function being
unresolved. The configure script should have generated a config.log file showing the error messages associated
with each of those failed tests. You should look there first.

You failed to mention what operating system you're working with, or what versions of any of the relevant software
you're using. Any more specific assistance will depend heavily on these details.

Thanks Howard,

I checked the config.log. It appears that it (courier-imap) couldn't find the sasl libs. I put the path to them in LDFLAGS and all is good now.

for the record, Im using Solaris 8 / courier-imap 3.08 / openldap 2.2.17

Once again, Thankyou.